Skip To Content

ArcGIS Enterprise Builder 10.8.x 系统要求

ArcGIS Enterprise Builder 可在单台计算机上本地部署 ArcGIS Enterprise。下面列出了运行 ArcGIS Enterprise Builder 所需的系统和硬件要求。

如果要通过 ArcGIS Enterprise 许可 ArcGIS ProArcGIS Pro 扩展模块或 ArcGIS Drone2Map,则您还需要 ArcGIS License Manager 2020.0 来配置许可,从而指定可使用这些应用程序的成员。有关详细信息,请参阅 Portal for ArcGIS 管理员指南License Manager 参考指南License Manager 系统要求

在使用 ArcGIS Enterprise Builder 实施或升级 ArcGIS Enterprise 部署前,请检查弃用通知,以确定硬件和软件组件是否仍与 ArcGIS Enterprise Builder 的当前版本兼容。同时查看各个产品组件的所有当前系统要求。您可以通过 ArcGIS Enterprise 安装指南文档访问此信息。

注:

ArcGIS Enterprise 组件要求 Microsoft Visual C++ 2015 - -2019 Redistributable (x64) 的最低版本为 14.22.27821。可以从 Microsoft 站点获取 Microsoft Visual C++ Redistributable for Visual Studio 2015 - 2019 文件。

如果尚未安装 Visual C++ 2015 - 2019 Redistributables,则运行 ArcGIS Enterprise Builder setup.exe 将为您自动进行安装。但是,直接运行 ArcGIS Enterprise Builder setup.msi 将不会安装 Redistributables。如果尚未安装 Microsoft Visual C++ 2015 - 2019 Redistributables (x64),则运行 setup.msi 将无法运行 ArcGIS Enterprise Builder

Microsoft Windows 操作系统要求

以下各 64 位操作系统满足最低的操作系统要求。不支持 32 位操作系统;仅在操作系统为 64 位时才可执行安装程序。

不支持名称中带有下划线 (_) 的计算机。多个广泛应用的 Internet 主机名规范已将下划线指定为非标准字符。虽然 Windows 允许将下划线用于计算机名,但当您与其他服务器和平台进行交互时,仍会产生问题。因此,如果服务器的主机名中含有下划线,则 ArcGIS Enterprise 组件将不会进行安装。

受支持的操作系统经测试的最新更新或补丁包

Windows Server 2019 标准版和数据中心版

2020 年 6 月更新

Windows Server 2016 标准版和数据中心版

2020 年 6 月更新

Windows Server 2012 R2 标准版和数据中心版

2020 年 6 月更新

Windows Server 2012 标准版和数据中心版

2020 年 6 月更新

除非另有说明,否则这些操作系统版本之前和未来的更新或补丁包均将受到支持。同时,操作系统版本与更新也必须受到操作系统供应商的支持。

注:

所有版本的 Windows Server 都需要“桌面体验”选项。

受支持的操作系统经测试的最新更新或补丁包

Windows 10 专业版和企业版(64 位 [EM64T])

2020 年 6 月更新

Windows 8.1 专业版和企业版(64 位 [EM64T])

2020 年 6 月更新

硬件要求

磁盘空间要求

ArcGIS Enterprise Builder (Windows) 需要占用系统驱动器(通常为 C:\ 盘)上 10 GB 的可用磁盘空间,用于过渡安装文件和写入日志文件。此外,构建器需要占用安装驱动器上 20 GB 的可用磁盘空间,您需要在安装过程中指定磁盘。在基础部署扩展时,为了完成各组件的初始安装以及存储数据、日志和配置文件,必须用到此磁盘空间。大多数用户需要在安装驱动器上留出 20 GB 以上的空间;生产系统应具备 50 GB 或更多的可用磁盘空间。

内存要求

强烈建议配置至少 16 GB 内存来安装 ArcGIS Enterprise Builder

Microsoft .NET Framework 4.5.2 支持

ArcGIS Web Adaptor 需要 Microsoft .NET Framework 4.5.2 或更高版本才能安装。如果您的操作系统已安装 Microsoft .NET Framework 4.5.2,则请确保已使用 Windows 功能将其启用。如果您的操作系统未安装 Microsoft .NET Framework 4.5.2,则可从安装介质上进行下载并使用 Windows 功能将其启用。

防火墙设置

基础 ArcGIS Enterprise 部署中的组件在特定端口上进行通信。安装软件前,您需要在防火墙上打开这些端口。

ArcGIS Web Adaptor 在端口 80 和 443 上进行通信。有关使用 ArcGIS Enterprise Builder 安装的每个附加组件所使用的端口信息,请参阅以下内容:

受信任证书

ArcGIS Enterprise 部署需要在安装了基础部署的计算机上启用 HTTPS。有关详细信息,请查看在 Web 服务器上启用 HTTPS中的步骤。

如果部署的 Web 服务器是 IIS,则请了解如何使用示例脚本来创建域证书

支持的 Web 浏览器

ArcGIS Enterprise 配置向导支持以下 Web 浏览器:

  • Google Chrome
  • Mozilla Firefox
  • Microsoft Internet Explorer 11*
  • Microsoft Edge(新的)和 Edge Legacy(这是支持 Edge Legacy 的最新版本。)

*此版本中已弃用了使用 Internet Explorer 11 的功能。Esri 强烈建议您转至以上列出的其他浏览器之一。尽管当前版本仍支持 Internet Explorer 11,但通常不建议使用 Internet Explorer 11,因为未来版本将不再提供支持。在取消支持之前,将提供其他通知。

受支持的虚拟化环境和云平台

对于基础 ArcGIS Enterprise 部署的所有组件,虚拟化和云环境支持均相同。有关详细信息,请参阅 ArcGIS Enterprise 系统要求中的云平台上的 ArcGIS Enterprise受支持的虚拟化环境